Foreman - Bug #14240

GET/POST/PUT /api/v2/auth_source_ldaps/ do not return 'server_type' attribute
03/16/2016 01:38 PM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: API
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1318325 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3337
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1318325
Description of problem:
auth_source_ldaps have 'server_type' attribute, value of which is not returned by any of POST/GET/PUT request in sat6.2.

Version-Release number of selected component (if applicable):
Satellite 6.2.0 Compose 3

How reproducible:
100%

Steps to Reproduce:

1. Issue HTTP POST request to https://sat.example.com/api/v2/auth_source_ldaps with 'server_type' attribute set to some value (e.qg.
'active_directory’").

2. Capture the response. Examine the JSON payload and discover that the "server_type" attribute is not mentioned.

3. Issue HTTP GET and HTTP PUT requests to previously created auth_source_ldap. Check the "server_type" attribute presence.

Actual results:
'server_type' attribute is absent in GET/POST/PUT responses.

Expected results:
'server_type' attribute is present and has correct value.

Additional info:

Associated revisions

Revision 82a0ba46 - 03/17/2016 08:24 AM - Shimon Shtein
Fixes #14240 - added :server_type attribute to API rabl

Revision 7677b976 - 04/18/2016 01:45 PM - Shimon Shtein
Fixes #14240 - added :server_type attribute to API rabl

(cherry picked from commit 82a0ba465e8de728c10f2d1e5678c9df2499186f)

History

#1 - 03/16/2016 01:57 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3337 added

#2 - 03/17/2016 03:57 AM - Dominic Cleal
- Category set to API
#3 - 03/17/2016 09:02 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 82a0ba465e8de728c10f2d1e5678c9df2499186f.

#4 - 03/17/2016 09:57 AM - Dominic Cleal

- translation missing: en.field_release set to 141
